Bug 855465 - osmo depends on libsyncml, which currently cannot be installed (f18/rawhide)
osmo depends on libsyncml, which currently cannot be installed (f18/rawhide)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: osmo (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-09-07 17:38 EDT by Adam Williamson
Modified: 2012-09-12 16:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 16:36:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-09-07 17:38:34 EDT
Our osmo build enables the libsyncml plugin, and so depends on libsyncml. In F18 and Rawhide, libsyncml cannot be installed - it depends on an old libsoup which we no longer provide as a compat package. So osmo cannot be installed. osmo is in the LXDE spin, so in turn, we can't compose the LXDE spin at present.

libsyncml can't easily be updated to fix this - our _really_ old libsyncml won't build against modern libsoup. There's a slightly less old libsyncml available upstream, 0.5.4, but 0.5 is ABI-incompatible with 0.4 and so likely wouldn't be any use to osmo anyhow. And it's still old, and apparently abandoned upstream. And I don't know if even it is easily buildable.

So what I'm saying is, screw libsyncml. :) I've done a build of osmo that drops the libsyncml plugin. I'm filing this bug to propose it as F18 Alpha NTH, so we can pull that build into the Alpha compose.
Comment 1 Adam Williamson 2012-09-07 17:40:14 EDT
Proposing as NTH for Alpha, for reasons detailed above - this effectively blocks compose of LXDE lives.
Comment 2 Fedora Update System 2012-09-07 17:41:52 EDT
osmo-0.2.12-0.2.svn924.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/osmo-0.2.12-0.2.svn924.fc18
Comment 3 Fedora Update System 2012-09-08 15:24:11 EDT
Package osmo-0.2.12-0.2.svn924.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing osmo-0.2.12-0.2.svn924.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13592/osmo-0.2.12-0.2.svn924.fc18
then log in and leave karma (feedback).
Comment 4 Adam Williamson 2012-09-10 14:09:27 EDT
Discussed at 2012-09-10 NTH review meeting. Accepted as NTH per rationale in comment #1.
Comment 5 Adam Williamson 2012-09-12 15:40:00 EDT
verified in RC2: we have an LXDE spin. (and for bonus points, the osmo in it works.)
Comment 6 Fedora Update System 2012-09-12 16:36:25 EDT
osmo-0.2.12-0.2.svn924.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.